Skip to main content
POST
/
v2
/
{entity}
/
{project}
/
evaluations
Evaluation Create
curl --request POST \
  --url https://api.example.com/v2/{entity}/{project}/evaluations \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "dataset": "<string>",
  "description": "<string>",
  "scorers": [
    "<string>"
  ],
  "trials": 1,
  "evaluation_name": "<string>",
  "eval_attributes": {}
}
'
import requests

url = "https://api.example.com/v2/{entity}/{project}/evaluations"

payload = {
"name": "<string>",
"dataset": "<string>",
"description": "<string>",
"scorers": ["<string>"],
"trials": 1,
"evaluation_name": "<string>",
"eval_attributes": {}
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
dataset: '<string>',
description: '<string>',
scorers: ['<string>'],
trials: 1,
evaluation_name: '<string>',
eval_attributes: {}
})
};

fetch('https://api.example.com/v2/{entity}/{project}/evaluations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "digest": "<string>",
  "object_id": "<string>",
  "version_index": 123,
  "evaluation_ref": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Path Parameters

entity
string
required
project
string
required

Body

application/json
name
string
required

The name of this evaluation. Evaluations with the same name will be versioned together.

dataset
string
required

Reference to the dataset (weave:// URI)

description
string | null

A description of this evaluation

scorers
string[] | null

List of scorer references (weave:// URIs)

trials
integer
default:1

Number of trials to run

evaluation_name
string | null

Name for the evaluation run

eval_attributes
Eval Attributes · object | null

Optional attributes for the evaluation

Response

Successful Response

digest
string
required

The digest of the created evaluation

object_id
string
required

The ID of the created evaluation

version_index
integer
required

The version index of the created evaluation

evaluation_ref
string
required

Full reference to the created evaluation